Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07300 Color/Palette Minor Always Apr 24, 2019, 19:44 Jun 2, 2019, 12:23
Tester robcfg View Status Public Platform MAME (Official Binary)
Assigned To robcfg Resolution Fixed OS MacOS X
Status [?] Resolved Driver dragon.cpp
Version 0.209 Fixed in Version 0.210 Build 64-bit
Summary MESS-specific 07300: dragon32, dragon64, dragon64h, dragon200, dragon200e: PAL Dragon machines show NTSC color artifacting
Description PAL Dragons high res display mode (256x192 black & white) is rendered with NTSC artifacts, instead of b&w patterns, you get also blue and orange color.

This does not happen on real machines or other emulators, like XRoar.
Steps To Reproduce Type the following program:

10 PMODE4,1:SCREEN 1,1:PCLS1
20 FOR I=0 to 3071:POKE 3072+I,85:NEXT I
30 FOR I=3072 to 6143:POKE 3072+I,170:NEXT I
40 GOTO 40

Please note that if you don't have the dos cartridge loaded, you have to change the "POKE 3072," instances to "POKE 1536,".

Also, see attached picture.
Additional Information
Flags
Regression Version
Affected Sets / Systems dragon32, dragon64, dragon64h, dragon200, dragon200e
Attached Files
jpg file icon MameDragon32NTSCArtifacting.jpg (42,777 bytes) Apr 24, 2019, 19:44 Uploaded by robcfg
Test program on emulated dragon32 showing ntsc artifating.
robcfg
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.16388
robcfg
Tester
Apr 27, 2019, 13:34
It seems that the artifacter function in mc6847.h only does ntsc artifacting.

As there are pal and ntsc dragons, a possible solution would be to make the artifacter detect the color system in use and apply the right one. The pal color artifacting needs to be implemented.

More information on the subject can be found here: http://archive.worldofdragon.org/phpBB3/viewtopic.php?f=5&t=5462
User avatar
No.16439
robcfg
Tester
May 6, 2019, 19:56
I've implemented the pal color blend and the changes are in this pull request https://github.com/mamedev/mame/pull/4980
User avatar
No.16502
Robbbert
Developer
Jun 2, 2019, 12:23
edited on: Jun 2, 2019, 12:25
Fixed by the OP according to the SB.

robcfg: Quick question. I fixed this bug I reported (https://mametesters.org/view.php?id=7300) and the changes are on 0.210. Who can check that it's safe to close it as solved?